#define PID_SIZE	80

typedef struct{
	u_int8_t	magic_s[7];	/* HenRich */
	u_int8_t	ver_control[2];	/* version control */
	u_int8_t	download[2];	/* download control */
	u_int8_t	hw_id[32];  	/* H/W ID */ 
	u_int8_t	hw_ver[2];  	/* H/W version */
	u_int8_t	p_id[4];    	/* Product ID */
	u_int8_t	protocol_id[2];	/* Protocol ID */	
    u_int8_t	fun_id[2];	/* Function ID */
    unsigned long strlen;	/* File length */
	u_int8_t	fw_ver[2];	/* F/W version */
	u_int8_t	start[2];	/* Starting code segment */
	u_int8_t	c_size[2];	/* Code size (kbytes) */
	u_int8_t	magic_e[7];	/* HenRich */
}product_pid_t;

#define LOADER_SIZE	0x00060000
#define KERNEL_SIZE	0x00200000
#define FS_SIZE		0x00C60000

